| The Gaudi Framework v32r1 (f65d50dc)

Functions
IncidentType Namespace Reference

Namespace for pre-defined common incident types. More...

## Functions
| _inc_type_ (BeginEvent)
| Processing of a new event has started. More...
| _inc_type_ (EndEvent)
| Processing of the last event has finished. More...
| _inc_type_ (BeginRun)
| Processing of a new run has started. More...
| _inc_type_ (EndRun)
| Processing of the last run has finished. More...
| _inc_type_ (EndStream)
| Processing of the stream has finished. More...
| _inc_type_ (AbortEvent)
| Stop processing the current event and pass to te next one. More...
| _inc_type_ (BeginOutputFile)
| a new output file has been created More...
| _inc_type_ (FailOutputFile)
| could not create or write to this file More...
| _inc_type_ (WroteToOutputFile)
| the output file was written to in this event More...
| _inc_type_ (EndOutputFile)
| an output file has been finished More...
| _inc_type_ (BeginInputFile)
| a new input file has been started More...
| _inc_type_ (FailInputFile)
| could not open or read from this file More...
| _inc_type_ (EndInputFile)
| an input file has been finished More...
| _inc_type_ (CorruptedInputFile)
| the input file has shown a corruption More...
| _inc_type_ (BeginProcessing)
| Incident raised just before entering loop over the algorithms. More...
| _inc_type_ (EndProcessing)
| Incident raised just after the loop over the algorithms (note: before the execution of OutputStreams). More...
| _inc_type_ (SvcPostFinalize)
| ONLY For Services that need something after they've been finalized. More...

## Detailed Description

Namespace for pre-defined common incident types.

Author
  P. Mato

Date
  2001/01/19

Author
  R. Lambert

Date
  2009/09/03

## Function Documentation

## ◆ _inc_type_() [1/17]

IncidentType::_inc_type_ | ( | BeginEvent |  | ) |

Processing of a new event has started.

## ◆ _inc_type_() [2/17]

IncidentType::_inc_type_ | ( | EndEvent |  | ) |

Processing of the last event has finished.

## ◆ _inc_type_() [3/17]

IncidentType::_inc_type_ | ( | BeginRun |  | ) |

Processing of a new run has started.

## ◆ _inc_type_() [4/17]

IncidentType::_inc_type_ | ( | EndRun |  | ) |

Processing of the last run has finished.

## ◆ _inc_type_() [5/17]

IncidentType::_inc_type_ | ( | EndStream |  | ) |

Processing of the stream has finished.

## ◆ _inc_type_() [6/17]

IncidentType::_inc_type_ | ( | AbortEvent |  | ) |

Stop processing the current event and pass to te next one.

## ◆ _inc_type_() [7/17]

IncidentType::_inc_type_ | ( | BeginOutputFile |  | ) |

a new output file has been created

## ◆ _inc_type_() [8/17]

IncidentType::_inc_type_ | ( | FailOutputFile |  | ) |

could not create or write to this file

## ◆ _inc_type_() [9/17]

IncidentType::_inc_type_ | ( | WroteToOutputFile |  | ) |

the output file was written to in this event

## ◆ _inc_type_() [10/17]

IncidentType::_inc_type_ | ( | EndOutputFile |  | ) |

an output file has been finished

## ◆ _inc_type_() [11/17]

IncidentType::_inc_type_ | ( | BeginInputFile |  | ) |

a new input file has been started

## ◆ _inc_type_() [12/17]

IncidentType::_inc_type_ | ( | FailInputFile |  | ) |

could not open or read from this file

## ◆ _inc_type_() [13/17]

IncidentType::_inc_type_ | ( | EndInputFile |  | ) |

an input file has been finished

## ◆ _inc_type_() [14/17]

IncidentType::_inc_type_ | ( | CorruptedInputFile |  | ) |

the input file has shown a corruption

## ◆ _inc_type_() [15/17]

IncidentType::_inc_type_ | ( | BeginProcessing |  | ) |

Incident raised just before entering loop over the algorithms.

## ◆ _inc_type_() [16/17]

IncidentType::_inc_type_ | ( | EndProcessing |  | ) |

Incident raised just after the loop over the algorithms (note: before the execution of OutputStreams).

## ◆ _inc_type_() [17/17]

IncidentType::_inc_type_ | ( | SvcPostFinalize |  | ) |

ONLY For Services that need something after they've been finalized.

Caveat Emptor: Don't use unless you're a Service or know you'll exist after all services have been finalized!!!